kind: pipeline
type: docker
name: default

# Docs at https://docs.drone.io/pipeline/exec/overview/
# Also see https://github.com/harness/drone-cli/blob/master/.drone.yml

steps:
- name: build
  image: golang
  commands:
  - sh ./.drone.sh

# See https://plugins.drone.io/plugins/gitea-release
- name: gitea_release
  image: plugins/gitea-release
  when:
    event:
    - tag  
  settings:
    api_key: 
      from_secret: GITEA_TOKEN    
    base_url: https://git.coadcorp.com
    files: api-tester  
    checksum: sha256
    prerelease: true
